﻿init:

    python:

        style.say_dialogue.drop_shadow = [(absolute(2), absolute(2))]
        style.say_dialogue.drop_shadow_color = "#000000"
        style.say_thought.drop_shadow = [(absolute(2), absolute(2))]
        style.say_thought.drop_shadow_color = "#000000"
        style.say_label.drop_shadow = [(absolute(2), absolute(2))]
        style.say_label.drop_shadow_color = "#000000"
        
        import math

        class Shaker(object):
        
            anchors = {
                'top' : 0.0,
                'center' : 0.5,
                'bottom' : 1.0,
                'left' : 0.0,
                'right' : 1.0,
                }
        
            def __init__(self, start, child, dist):
                if start is None:
                    start = child.get_placement()
                #
                self.start = [ self.anchors.get(i, i) for i in start ]  # central position
                self.dist = dist    # maximum distance, in pixels, from the starting point
                self.child = child
                
            def __call__(self, t, sizes):
                # Float to integer... turns floating point numbers to
                # integers.                
                def fti(x, r):
                    if x is None:
                        x = 0
                    if isinstance(x, float):
                        return int(x * r)
                    else:
                        return x

                xpos, ypos, xanchor, yanchor = [ fti(a, b) for a, b in zip(self.start, sizes) ]

                xpos = xpos - xanchor
                ypos = ypos - yanchor
                
                nx = xpos + (1.0-t) * self.dist * (renpy.random.random()*2-1)
                ny = ypos + (1.0-t) * self.dist * (renpy.random.random()*2-1)

                return (int(nx), int(ny), 0, 0)
        
        def _Shake(start, time, child=None, dist=100.0, **properties):

            move = Shaker(start, child, dist=dist)
        
            return renpy.display.layout.Motion(move,
                          time,
                          child,
                          add_sizes=True,
                          **properties)

        Shake = renpy.curry(_Shake)
    #

#

init:
    $ sshake = Shake((0, 0, 0, 0), 0.4, dist=8)

image date:
    xcenter 0.5
    ycenter 0.45
    "date1.png"
    0.18
    "date2.png"
    0.18
    "date3.png"
    0.18
    "date4.png"
    0.18
    repeat

image ctc_ttb:
    xpos 0.89
    ypos 0.91
    xanchor 1.0
    yanchor 1.0
    "system.png"
    crop (543,0,32,32)
    0.18
    crop (575,0,32,32)
    0.18
    crop (543,0,32,32)
    0.18
    crop (607,0,32,32)
    0.18
    repeat

transform middle:
    xalign 0.5
    yanchor 1.0
    ypos 312
transform middle2:
    xalign 0.5
    yanchor 1.0
    ypos 320

define narrator = Character(name=None, ctc="ctc_ttb", ctc_position="fixed")
define Narrator_blank = Character(name=None)
define Voice = Character("Voice", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")
define Takano = Character("Takano", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")
define Teacher = Character("Teacher", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")
define Girl = Character("Girl", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")
define Hiyori = Character("Hiyori", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")
define Helen = Character("Helen", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")
define Fuuya = Character("Fuuya", color="#ffffff", ctc="ctc_ttb", ctc_position="fixed")

default char = "None"
default good_ending = False
default credit = "None"



label start:
    scene bg black
    with dissolve
    
    show date
    with dissolve

    play music kura3_intro
    queue music kura3_loop
    
    Narrator_blank "...*creak*"
    Narrator_blank "...*rattle*..."
    Narrator_blank "*rattle* *rattle*..."
    Narrator_blank "I hear something..."
    Narrator_blank "*rattle* *creak*..."
    Narrator_blank "The sound rings out..."
    Narrator_blank "It's coming from within my heart..."
    Narrator_blank "...yes."
    Narrator_blank "It certainly isn't normal."
    Narrator_blank "My heart isn't normal, is it?"
    Narrator_blank "The empty, rattling sound continues..."
    Narrator_blank "This sound... is a sign of regret."
    Narrator_blank "It rings out when the winds known as 'sin'..."
    Narrator_blank "howl through those windmills broken by sorrow."
    Narrator_blank "...yes."
    Narrator_blank "I have a disease."
    Narrator_blank "My heart isn't normal, is it?"
    Narrator_blank "The rattling sound continues..."
    Narrator_blank "This sound... is the sound of solitude..."
    Narrator_blank "A sad, lonely sound..."
    Narrator_blank "...yes."
    Narrator_blank "Indeed, I am alone."
    Narrator_blank "And so... my heart sings..."
    Narrator_blank "It sings a lament..."
    Narrator_blank "To my loneliness, to my regrets."
    Narrator_blank "I..."
    Narrator_blank "I..."
    Narrator_blank "I..."
    Narrator_blank "I..."
    Narrator_blank "That's why I pray..."
    Narrator_blank "\"Someday...\""
    Narrator_blank "\"May I be...\""
    Narrator_blank "\"...called up to heaven...\""
    Narrator_blank "...amen..."

    scene bg ochi
    stop music
    play sound han
    Narrator_blank ""
    scene bg black
    with dissolve
    scene bg game black
    with dissolve
    
    "Ahh..."
    "Man, I feel refreshed."
    "This thing they call 'sleep' is real neat, eh."
    "Having a 'blissful life'?"
    "Hah, as if..."

    Voice "...hey."
    "\"Hahaha...\""
    Voice "Hey!"
    "\"...ha...\""
    "*yawn*....!"

    play music koi_intro
    queue music koi_loop
    
    scene bg classroom
    with dissolve

    Voice "Hey. You awake?"
    "I awaken with a start."

    show sensei normal at middle
    with dissolve

    "A man with a familiar face stands before me."
    "\"...Good morning, sir...\""
    "Yikes, this is awkward..."
    "The 'sir' in question let out a deep sigh."
    Teacher "Takano Fukamori... I've been a teacher
              for a long time now."
    Takano "...and?"
    Teacher "And you're the first person I've ever
              seen dozing off right in the middle of
              a guidance counselling session."
    Takano "Huh... Looks like this marks a new page
            in your life as a teacher.
            Congratulations!"
    Teacher "Watch your mouth, brat!"
    play sound punch3
    "*Pow*!!" with sshake
    "The teacher's punch connected squarely with Takano's solar plexus."
    Takano "Gaaaahh!?"
    "With a thud, Takano was left writhing on the floor."
    Teacher "That's one of the weak points of the human body. Remember this well."
    Takano "...I don't think I'll ever forget..."
    "Well, anyways, after all that.\nThe guidance counselling continued."
    Teacher "So, what do you want to do in the future?"
    Takano "Hmm... I think I'll become President of the United States..."
    ".........."
    Teacher "You're kidding, right."
    Takano "Good job figuring that one out."
    Teacher "You sure wanna learn about more weak points of the body, don't you?"
    Takano "...I'm sorry, my bad."
    Teacher "Serious answers now."
    Takano "Bruce Willis... Just kiddin---"
    "*Gulp*!!"
    "The teacher's fist whizzed by, and the curtains in the classroom all fluttered in unison."
    Teacher "There won't be a next time."
    "He looks serious."
    Takano "Y..Yes!... U-umm..."
    "Takano's in a bit of trouble."
    "I had never really given it much thought before."
    "I try to think up a serious answer, but..."
    "An alien?"
    "Oda Nobunaga?"
    "How about a king crab?"
    "Or maybe the levers used to open sluice gates?"
    "These silly answers are all that come to mind."
    "It's a disease I have."
    Teacher "Come on, answer."
    Takano "Um..."
    Teacher "Hurry up..."
    Takano "Uh...y-you know...like, uh..."
    Teacher "...you have 10 seconds."
    Takano "Whaa-?!"
    "Now I'm panicking."
    
    menu:
    
        "Ugh, anything's fine, I just need to come up with some sort of answer, or else... Aaaahhh!!"
        
        "Become a hero!":
            jump fuuya1
        "Take over the world!":
            jump helen1
        "I'm not sure yet...":
            jump hiyori1


label hiyori1:

    $ char = "Hiyori"

    Takano "I'm sorry... I haven't thought about it yet."
    Teacher "....."
    Takano "...Um?"
    Teacher "....."
    Takano "...Hel...lo?"
    Teacher "I see..."
    Takano "Eh...?"
    Teacher "Yep. That smart-alecky response, not once, but twice. That sure is a case of 'haven't thought about it', all right."
    Takano "...my apologies..."
    "A moment passes..."
    Teacher "Okay. I guess I can offer you a deadline extension."
    Takano "Oh, a ded-line eks-tenshuhn, huh..."
    Teacher "Come back with an answer by tomorrow."
    Takano "Understood."
    "And with that, Takano's guidance counselling session came to an end."
    Takano "Well then, sir..."
    Teacher "...the deadline's tomorrow, make sure you think it over properly."
    Takano "You can trust me. I'll have a proper answer ready for you."
    Teacher "Sure. See you later, then."
    Takano "Goodbye, sir."

    scene bg hallway
    with dissolve

    Takano "(Mnngh... I have until tomorrow, huh...)"

    Voice "...y..."
    Takano "(Aahh, what do I do...? Can I come up with something sensible?)"

    Voice "...ey..."
    Takano "(Any more funny answers, and he's definitely gonna kill me for real...)"

    Voice "...hey..."
    Takano "(...alright!)"

    Voice "...Takano-kun, do you have a minute?..."
    Takano "(Guess I'll go home and do some fortune-telling to decide.)"
    "Thinking about it seriously just isn't an option, is it?"
    Voice "Oh, just listen to me already!"
    Takano "Huh?"

    show hiyori normal at middle
    with dissolve

    "Takano suddenly noticed and looked in the direction of the voice, where he found a familiar girl waiting for him."
    Girl "I've been calling out to you for a while now. What're you doing just standing there?"
    Takano "...Oh, Hiyori, it's you. Sorry 'bout that. I was just a bit lost in thought."
    Hiyori "Sheesh."
    "The girl named Hiyori glared at Takano with a pout on her face."
    Takano "So, Hiyori, what brings you here?"
    Hiyori "What, you ask... You dummy!"
    Takano "Dummy?...Me?"
    Hiyori "Yeah, you. Are you sure your head hasn't expired? You know, passed its best-before date?"
    Takano "Why are you so rude to me all the time? You didn't have to go that far."
    "Hearing this, Hiyori's expression changed from angry to sad."
    Hiyori "...You really don't remember...?"
    "......."
    "......."
    "......."
    Takano "(I... remember now.)"
    "It suddenly came back to me."
    Takano "Right, I was free after school, so I think I asked her if she wanted to go hang out somewhere."
    "If the guy who came up with the plans forgot, it's pointless."
    Hiyori "So you finally remembered."
    Takano "Yeah."
    Takano "Well, you see, there were a lot of complicated discussions I had to go through..."
    Hiyori "Oh, quit making excuses."
    Hiyori "...Seriously. Any normal girl would've snapped and gone home already."
    Takano "Umm, I am most grateful for your kindness."
    Hiyori "Well, okay.\nIt's not like this is the first time Takano's being stupid."
    Takano "What a good friend I have. Truly, your magnanimity knows no bounds."
    Hiyori "Still, I'm gonna make sure you pay forthe sin of forgetting."
    Takano "...right."
    Hiyori "I wanna try the red bean jelly from Juryan Confectioners."
    Takano "Whaaat?"
    Hiyori "What? You got a problem with that?"
    Takano "...none at all."
    Hiyori "Hehehe."
    "And so, it appears that Hiyori's mood has been lifted."
    Hiyori "So, where are we headed?"

    menu:

        Takano "Let's see..."

        "Let's go eat something.":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump hiyori_good
            else:
                jump hiyori_bad
        "How about fishing?":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump hiyori_good
            else:
                jump hiyori_bad
        "Let's go do karaoke.":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump hiyori_good
            else:
                jump hiyori_bad


label hiyori_good:

    $ good_ending = True

    show hiyori smile at middle
    with dissolve

    Hiyori "Takano-kuuun."
    Takano "Hm? What is it?"
    Hiyori "I really...\nReally! Love you!!"
    Takano "What are you talking about!\nMe too, of course!!"
    Hiyori "Yaaay!!!"
    "So that's how it went."
    "The two of them fell in love, and lived happily ever after."
    
    stop music
    play sound end
    scene bg happy_end
    
    Narrator_blank ""

    jump ending


label hiyori_bad:
    Hiyori "...."
    Takano "...What's wrong?"
    Hiyori "I quit."
    Takano "Huh?"
    Hiyori "I'm not going."
    Takano "Wh...why?"
    Hiyori "...I've had enough of you."
    Takano "Wha?"
    Hiyori "I said, I've had enough of you!!"
    Takano "Oh..."
    Hiyori "I'm never talking to you again!!"
    Takano "...Understood.\nSo next time we meet, it'll be as enemies?"
    Hiyori "You can take it that way."
    Takano "...farewell."
    "........."
    "I don't really understand why, but..."
    "It looks like the two of us broke it off with each other."
    
    stop music
    play sound end
    scene bg bad_end
    
    Narrator_blank ""

    jump ending


label helen1:

    $ char = "Helen"

    Takano "I want to..."
    Teacher "You want to?"
    Takano "I want to take over the world."
    Teacher "...Huh..."
    "....."
    Takano "Ju..."
    Teacher " 'Just kidding'...is *definitely* not what you were gonna say, were you?"
    "Indeed. At that moment, in my eyes, it seemed as though my teacher's fist was blazing up, raring to go."
    Takano "Ju..."
    Teacher "...Ju?"
    "And his knuckles flared, menacingly but elegantly, like an eagle spreading its wings..."
    Takano "Just..."
    Teacher "...Just!?"
    "It felt like a bolt of lightning or something, shall we say..."
    "I am now a mere frog being watched by a snake, or a banana being watched by a monkey..."
    Takano "Just...how crazy would you have to be to say something like that, huh..."
    "His fist came to a stop right in front of my eyes."
    Takano "...I'm being serious.\nI want to take over the world."
    Teacher "..."
    "In the end, it was a desperate attempt to stall for time... Takano's life hung by a thread."
    "...."
    "...is what was expected.\nto happen."
    Teacher "...I understand."
    Takano "Eh?"
    Teacher "I guess you just recklessly blurted out another dumb answer, didn't you."
    Takano "...It's...not...like that..."
    "Bull's-eye, teach."
    "Getting serious about this is scary."
    Teacher "But if you're serious about this, I'll take it."
    Takano "...right."
    Teacher "World domination..."
    Takano "......"
    Teacher "I have high hopes from you."
    Takano "...wha?"
    Teacher "Yep, really."
    Takano "Whaaat!?"
    "Ignoring Takano's surprise, the teacher whistles."
    "And then."
    "Suddenly, a lukewarm wind blew in from outside the window and swept down the hallway."
    "The silence that descends...\nis a little eerie."
    Teacher "I just-"
    Takano "?"
    Teacher "I just called in some help."
    Takano "...was that what the whistle was for?"
    "He nodded."
    Teacher "They're waiting for you in the hallway.\nGo on, then."
    Takano "Eh?"
    Teacher "They're just the right person to help you take over the world."
    Takano "...right."
    Teacher "Well, then."
    Takano "...Understood."
    "Takano, overwhelmed by the atmosphere and unable to protest, decided to step out into the hallway for now."

    scene bg hallway
    with dissolve

    Takano "(...Hey...anybody there...?)"
    "He seemed to called out."
    Takano "(To put it bluntly, this is ridiculous.)"
    Takano "(But.)"
    Takano "(If he said so, then I guess...）"
    Voice "So it's you."
    Takano "Hm?"
    Voice "It's you, isn't it?"
    Takano "...Are you the one who was summoned to help me?"
    Voice "At least answer me first!!"
    "*Wham*!!" with sshake
    Takano "Ow!"

    show helen normal at middle
    with dissolve

    "When I turned around, I saw a mysterious sort of person there in front of me."
    Voice "You're the guy who made a contract with me, right?"
    Takano "...Yes?"
    Voice "My name is Helen.\nAs can be seen, I'm..."
    Takano "...some weird-looking lady..."
    Helen "Fool! I'm a demon!"
    Takano "Huuuh...A demon cosplay...laaame"
    Helen "Aarghh!!"
    "--she said, pulling at her hair..."
    Helen "Why, you--! Don't underestimate us demons!"
    "A bit soon for her to be saying that, but--"
    "--she started chanting some mysterious spell."
    Helen "jffj;mmjjf"
    Takano "(...What, what is this)"
    Helen "wpj;fwpwq"
    Takano "(...hmm?)"
    Helen "f;wjrpqq："
    Takano "...My head...kinda itches"
    "I scratch my head, but to no avail."
    Takano "...aaaahhhh..."
    "The itchiness is now unbearable."
    "I keep scratching and scratching, but there is no relief."
    Takano "Aarghhh, it's itchy!! It's itching inside my head!"
    "Eventually, Takano begins to writhe and squirm."
    Helen "How do you like that? That was the 'Itch-a-Brain' technique!"
    Takano "Th-this is... nothing..."
    Helen "Hiyaaahh!!"
    "Helen intensifies the hex even more."
    Takano "Ughhh! AAAGGGHHHH!!"
    "Takano is about to go insane."
    Takano "I...I get it already! I believe ya... I believe you!"
    "Hearing this, a satisfied smile spread across Helen's face."
    Helen "Very well."
    "She lifted the hex."
    Helen "So, what do you think?"
    Takano "You... you seem to be the real deal."
    Helen "You believe me now, don't you."
    Takano "(Why is our teacher in communion with demons?)"
    "--was the question running through Takano's mind."
    Helen "So... you say you want to take over the world?"
    Takano "Huh? How did you know?"
    "I don't remember telling you."
    Helen "I heard from the man who summoned me."
    Takano "...What?"
    Helen "Oh? You appear to be confused."
    Takano "?"
    Helen "When that man was summoning me, he whistled, did he not?"
    Takano "Uh-huh."
    Helen "Well, I understood the gist of the situation from its tone."
    Takano "Whaa-!?"
    "That's a demon for you!"
    "... Wait a second, what I should be saying is, who the heck even is our teacher?"
    "..."
    "And with that..."
    Takano "So there you have it. I guess I kinda have to conquer the world now, somehow."
    Helen "I see."
    Takano "So how would I go about doing that?"
    Helen "Well, what do you think I'm here for? Leave all of that to me, OK?"
    Takano "Okay, so what do you want me to do?"
    Helen "First... we start with doing something evil."
    Takano "Huh? Why?"
    Helen "Well, you see, to take over the world, wielding god-like power is a necessity."
    Takano "Uh-huh."
    Helen "And I happen to hold that power."
    Takano "Oh, wow! You do?"
    Helen "However..."
    Takano "...however?"
    Helen "The source of your power is your karma."
    Takano "what?"
    Helen "And you do not currently have enough karma to fully manifest my power."
    Takano "...What is this karma thing?"
    Helen "Oh, just think of it as something that increases whenever you do something evil."
    Takano "Aren't you skipping over a lot of details there?"
    Helen "fp@,wk;lw;lfgw"
    Takano "Aaahhh! S-sorry!!"
    "The demon clearly held all the power here."
    Helen "So, in conclusion, you're going to be doing a lot of evil things from now on."
    Takano "Right..."

    menu:
    
        Helen "Alright, where shall we start?" 
    
        "Dig up flowerbeds!":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump helen_good
            else:
                jump helen_bad
        "Go shoplifting!":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump helen_good
            else:
                jump helen_bad
        "Parking violations!":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump helen_good
            else:
                jump helen_bad


label helen_good:

    $ good_ending = True

    show helen smile at middle
    with dissolve

    Helen "Takano!"
    Takano "Hm?"
    Helen "I know it's a bit sudden to say this, but..."
    Helen "You sure have got some guts! I think... I think I've really taken a fancy to you!!"
    Takano "Me too! As of this moment, I'm deeply in love with you!!"
    Helen "Yahoo!!"
    "So that's how it went."
    "The two of them fell in love, and conquered the world together, etc."
    
    stop music
    play sound end
    scene bg happy_end
    
    Narrator_blank ""

    jump ending


label helen_bad:
    Helen "Hah? What's with that?"
    Takano "What do you mean?"
    Helen "Where's your determination? At this rate, you're not gonna be conquering the world even in a thousand years!"
    Takano "Ugh, you get mad at every little thing, you..."
    Helen "Ohhh! You're looking for a fight now, aren't you!"
    Takano "Bring it, you monster!"
    Helen "clf,k,lr;"
    Takano "Ack! Noooooo!!"
    "........."
    "Oh, well."
    "Humans and demons don't get along too well."
    "So that's how it went."
    "*clash* *clang*..."
    
    stop music
    play sound end
    scene bg bad_end
    
    Narrator_blank ""

    jump ending


label fuuya1:

    $ char = "Fuuya"

    Takano "I want to become a hero."
    "........"
    Takano "(Oh, man... I went and blurted out something stupid again without learning my lesson.)"
    Takano "(This is...bad...)"
    "........"
    Teacher "...I knew you'd say that."
    Takano "...what!?"
    "The rather unexpected line left Takano puzzled."
    Takano "U-umm...?"
    Teacher "Y'know...\nI've always thought you were more than just an ordinary high-schooler."
    Teacher "I feel like you can pull off something big, achieve something great."
    Takano "Hello?"
    Teacher "A long time ago... I wanted to become a hero, too."
    Takano "You did!?"
    Teacher "But I ended up giving up halfway through...\nAhh... If only there had been a Demon Lord around back then."
    Takano "....."
    Teacher "But hey, Takano.\nYou'll have more luck. These are turbulent times, and darkness covers the world."
    Takano "I've never heard of anything like that..."
    Teacher "Shaddup!!\nNow listen."
    Takano "Yes...."
    Teacher "You...\nDid you know that the Demon Lord came back recently?"
    "......."
    Takano "Sir...are you sure you're sober...?"
    Teacher "Well, have a look at this."
    "The teacher pulls out a newspaper."
    "Upon seeing the article printed in it, Takano is shocked."
    "\"The Demon Lord Has returned!\nIs The End Of The World Near?\""
    Takano "...no way."
    Teacher "Now's your chance! This is a once-in-a-lifetime opportunity!"
    Takano "No waaay."
    Teacher "If you take advantage of this situation and defeat the Demon Lord, you'll become a hero overnight in one go!"
    Teacher "As a former mentor who's helped train many heroes, I-"
    Takano "You gotta be kidding me."
    Teacher "I'm telling you, Takano!\nIf you're serious about this, I'll do my best to back you up."
    "An indescribable atmosphere took hold of the scene..."
    "Takano mustered all his courage and opened his mouth."
    Takano "...I...don't think I want to become..."
    play sound punch3
    "*Pow*!!" with sshake
    "The teacher's fist struck Takano right in the forehead."
    Takano "Gyaahhh!!"
    "*tumble* *thud* *tumble*..."
    Teacher "I don't like kids who don't listen after being told once."
    Takano "...You... Well, why don't you go and defeat the Demon Lord then, huh?"
    Teacher "No can do.\nI mean, it ain't a good look for an oldie like me to be running around heroing, you know."
    Takano "Okay, but there's no need to force it on your students, though."
    Teacher "Aren't you the one who started it?"
    Teacher "\"I want to become a hero.\"\n...you said."
    Takano "Well now I'm saying I don't..."
    Teacher "Oh..."
    play sound punch3
    "...!!" with sshake
    Teacher "...You don't care about your teacher's dreams?..."
    play sound punch3
    "...!!!" with sshake
    Takano "Oww...I'm sorry."
    "Takano stopped resisting."
    "........"
    "And so..."
    Teacher "Yes...that's right...Yes, please..."
    "The teacher is on the phone, he seems to be making some sort of request."
    Teacher "Yeah... Okay then, see you."
    "The teacher put the phone down and hung up."
    Takano "..."
    "3 hours later..."
    "The teacher just sat still, not moving a muscle, waiting for something."
    Takano "...Sir, how much longer...?"
    "Takano is starting to get restless."
    Takano "Sir..."
    "With a start, the teacher suddenly opened his eyes wide."
    Teacher "Huh, yeah, good morning."
    Takano "You fell asleep!"
    Teacher "Oh, sorry... Well, shouldn't be much longer now."
    Teacher "About another hour, perhaps."
    Takano "Siiiirrrr!!"
    "...Oof."
    "........"
    Teacher "The preparations should be ready about now. Go check in the hallway, there should be everything you need for your journey."
    Takano "...Sir, do I really... have to go?"
    Teacher "Oh, what's this? You still don't feel up to it?"
    "Takano sensed a real threat to his life."
    Takano "Kidding, just kidding!! I'm sorry!! I'm on my way!!"
    "And with that, he left the classroom."

    scene bg hallway
    with dissolve
    
    "I exited the classroom, and in front of me lay three treasure chests."
    Takano "...seriously?"
    "Takano is dumbfounded."
    Takano "...No choice, then.\nLet's try and see what this hero stuff is about!"
    "Takano readied himself, and opened the chest."
    Takano "Hnnggh-!"
    "Chest #1..."
    play sound hako3
    "It contained leather armour."
    Takano "There's definitely no way I'm walking around wearing this in public."
    "Chest #2..."
    play sound hako3
    "It contained a Japanese sword."
    Takano "Is it okay to be violating the Firearms Control Law or whatever...?"
    "And finally, chest #3...."
    "*rattle*..."
    Takano "Huh?"
    "*rattle* *rattle*...."
    Takano "Is..."
    "*rattle* *rattle* *rattle*..."
    Takano "Is something in there!?"
    Voice "Open meee---"
    Takano "Woah!? It spoke?!"
    Voice "Opeeen meeee---"
    Takano "..."
    Voice "...Can't...breathe..."
    "Of course, he couldn't just ignore these cries for help."
    Takano "...Dear God."
    "Takano mustered his courage, and opened the chest..."
    play sound hako3

    show fuuya normal at middle
    with dissolve

    Voice "Haah! ...Y-you saved me..."
    "What emerged from the chest was a strange, peculiar cat-woman."
    "Takano could hear several threads of his sanity snapping."
    Takano "...who the heck are you?"
    Voice "Fuuya.\nFuuya the mage.\nPleased to meet you."
    "A few more threads snapped."
    Takano "...Well, these are strange times. A Demon Lord's afoot, after all.\nOne monster or two, it's all the same..."
    Fuuya "A monster, you say...? That's mean..."
    Takano "Huh?"
    Fuuya "You're meeaann."
    Takano "Oh, shut up.\nWith that appearance of yours, let's see if you can explain it any other way."
    Fuuya "...uuu..."
    "You have no self-confidence, do you..."
    Takano "Oh well, whatever.\nSo, why were you inside that treasure chest?"
    Fuuya "..."
    Takano "What is it."
    Fuuya "...Please listen to me!\nIt is a tale that will move the both of us to tears!"
    Fuuya "*haah*, alright...now."
    "I was summoned by Teacher over the phone."
    "So I came over, bringing the chests with me."
    "Then I got into one of them as a joke, but got stuck and couldn't come out."
    "The end..."
    Takano "So. What's actually in the chest?"
    Fuuya "Uuh... please don't just brush me off like that..."
    Takano "Oh, shut up, you dumb cat-woman."
    Fuuya "How mean...\nAnd I even went to the trouble of coming all the way here to become your ally..."
    Takano "I don't recall asking for a cat-monster to become my ally."
    Fuuya "What did you say!\nLook at these cat ears!\nAnd on top of that, I'm a magical girl, too!"
    Fuuya "What could you possibly have to complain about such a beautiful girl?"
    Takano "Okay. So what's in the chest?"
    Fuuya "Don't ignore me like that..."
    Takano "Oh, fine.\nAlright already.\nI'll let you become my ally."
    Fuuya "Thank you sooo muuuch!"
    "Takano was getting pretty annoyed at this point, so he decided to put up with it."
    Takano "Alright. Now, what's in the chest?"
    Fuuya "There was money."
    Takano "There *was* money?"
    Fuuya "Yes..."
    Takano "......"
    Fuuya "....."
    Takano "......"
    Fuuya "....."
    Takano "......"
    Fuuya "...I was hungry."
    Takano "How much was there?"
    Fuuya "100,000 yen... or so."
    Takano "And how much is left?"
    Fuuya "...Chinese food is pretty expensive, isn't it?"
    Takano "How much is left?"
    Fuuya "...."
    Takano "How much is left!?"
    Fuuya "...H-here..."
    "8,800 yen."
    Takano "Why, you..."
    Fuuya "No...Um...I can explain..."
    Takano "Drop dead!!"
    Fuuya "Nooooo!!"
    play sound punch3
    "........" with sshake
    play sound punch3
    "....." with sshake
    play sound punch3
    ".." with sshake
    play sound punch3
    "." with sshake
    "Several minutes later..."
    Takano "Oh, fine!\nI give up, I'll just pretend it never existed!"
    Fuuya "Uguuu..."
    Fuuya "You jerk..."
    Takano "Well then, we better get going."
    Fuuya "...Whew...\nWhat should we do first?"
    
    menu:
    
        Takano "Let's see..."
    
        "Is there a princess?":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump fuuya_good
            else:
                jump fuuya_bad
        "Is there a legendary sword?":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump fuuya_good
            else:
                jump fuuya_bad
        "Where is the demon lord?":
            $ coin = renpy.random.random()>0.5
            if coin:
                jump fuuya_good
            else:
                jump fuuya_bad


label fuuya_good:

    $ good_ending = True

    show fuuya smile at middle
    with dissolve

    Fuuya "....Takano-san."
    Takano "....Fuuya."
    Fuuya "What an educated question..."
    Fuuya "Won. Der. Ful."
    Fuuya "I've fallen in love!"
    Takano "Alright! If you love me that much, let's get married!"
    Fuuya "Yaaay!"
    "And, well... after this, the two of them saved the world and found happiness."
    "Oh, let's cut to the chase!"
    "And they lived happily!"
    "Ever! After!"
    
    stop music
    play sound end
    scene bg happy_end
    
    Narrator_blank ""

    jump ending


label fuuya_bad:
    Takano "So, what do you think?"
    Fuuya "Yes, uhm, let's see..."
    Takano "Hey, what's up?"
    Fuuya "....*cough* *hack*!!"
    
    hide fuuya
    
    play sound han
    
    "*Thud*!" with sshake
    "Fuuya suddenly coughed up blood and collapsed to the floor."
    Takano "W-what happened!?"
    Fuuya "Uughh...the damage from earlier..."
    Takano "...what?"
    "Takano let out a cry, and tried to shake Fuuya awake."
    Takano "H-hey!?"
    "But Fuuya had already stopped breathing."
    Takano "...I screwed up..."
    Takano "I really screwed up!?"
    "Takano fled and ran away."
    "He was never seen again..."
    "I wonder... if things are okay this way."
    
    stop music
    play sound end
    scene bg bad_end
    
    Narrator_blank ""

    jump ending


label ending:

    scene bg black
    with dissolve
    
    play music end_intro
    queue music end_loop
    
    if good_ending==False:
        $credit = "sakura"
    if(char=="Hiyori" and good_ending):
        $credit = "hiyorin"
    if(char=="Helen" and good_ending):
        $credit = "heren3"
    if(char=="Fuuya" and good_ending):
        $credit = "fuuya"

    show expression credit at middle2
    with dissolve

    Narrator_blank "\"Saying 'I Love You'\""
    Narrator_blank "--Staff--"
    Narrator_blank "--Planning--\nBA2"
    Narrator_blank "--Program--\nBA2"
    Narrator_blank "--Script--\nBA2"
    Narrator_blank "--Character Design--\nBA2"
    Narrator_blank "--Music--\nPixel"
    Narrator_blank "--Backgrounds--\nPixel"
    Narrator_blank "--SFX--\nPixel, BA2"
    Narrator_blank "--Graphics--\nBA2, Pixel, RUU"
    Narrator_blank "--Test Player--\nSorl"
    Narrator_blank "--Special Thanks--\nPixel, Bochichuu, Friend #2"
    Narrator_blank "The end!"
    
    return